unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, CheckGroupBox, ExtCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    CheckBox1: TCheckBox;
    Edit1: TEdit;
    CheckBox2: TCheckBox;
    Button2: TButton;
    ListBox1: TListBox;
    RadioGroup1: TRadioGroup;
    CheckBox3: TCheckBox;
    CheckBox4: TCheckBox;
    procedure FormCreate(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    procedure CheckGroupBox1CheckBoxClick(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure RadioGroup1Click(Sender: TObject);
    procedure CheckBox3Click(Sender: TObject);
    procedure CheckBox4Click(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;
  CheckGroupBox1: TCheckGroupBox;
  CheckGroupBox2: TCheckGroupBox;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  CheckGroupBox1 := TCheckGroupBox.Create(Self);
  with CheckGroupBox1 do
  begin
    Parent := Self;
    Left := 8;
    Top := 26;
    Width := 285;
    Height := 139;
    BoxAlignment := taRightJustify;
    Caption := 'CheckGroupBox1';
    Checked := True;
    OnCheckBoxClick := CheckGroupBox1CheckBoxClick;
    TabOrder := 1;
    Font.Size := 10;
  end;
  with Button1 do
  begin
    Parent := CheckGroupBox1;
    Left := 26;
    Top := 56;
    TabOrder := 1;
  end;
  with CheckBox1 do
  begin
    Parent := CheckGroupBox1;
    Left := 26;
    Top := 20;
    TabOrder := 2;
  end;
  CheckGroupBox2 := TCheckGroupBox.Create(Self);
  with CheckGroupBox2 do
  begin
    ParentFont := false;
    Parent := CheckGroupBox1;
    Left := 128;
    Top := 32;
    Width := 150;
    Height := 103;
    BoxAlignment := taRightJustify;
    Caption := 'CheckGroupBox2';
    Checked := True;
    TabOrder := 3;
  end;
  with Button2 do
  begin
    Parent := CheckGroupBox2;
    Left := 32;
    Top := 18;
    Width := 75;
    Height := 25;
    TabOrder := 1;
  end;
  with ListBox1 do
  begin
    Parent := CheckGroupBox2;
    Left := 12;
    Top := 46 ;
    Width := 121;
    Height := 49;
    TabOrder := 2;
  end;
  Edit1.Text := CheckGroupBox1.Caption;
  CheckBox3.Checked := CheckGroupBox1.CheckedEnables;
  CheckBox4.Checked := CheckGroupBox2.CheckedEnables;
end;

procedure TForm1.Edit1Change(Sender: TObject);
begin
  CheckGroupBox1.Caption := Edit1.Text;
end;

procedure TForm1.CheckGroupBox1CheckBoxClick(Sender: TObject);
begin
  if CheckBox2.Checked then
  begin
    CheckBox1.Caption := 'Modified by OnCheckBoxClick Event';
    CheckBox1.Font.Color := clBlue;
  end else
  begin
    CheckBox1.Caption := CheckBox1.Name;
    CheckBox1.Font.Color := clBlack;
  end;
end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin
  if not CheckBox2.Checked then
  begin
    CheckBox1.Caption := CheckBox1.Name;
    CheckBox1.Font.Color := clBlack;
  end;
end;


procedure TForm1.RadioGroup1Click(Sender: TObject);
begin
  case RadioGroup1.ItemIndex of
    0 : CheckGroupBox1.Enabled := true;
    1 : CheckGroupBox1.Enabled := false;
  end;
end;

procedure TForm1.CheckBox3Click(Sender: TObject);
begin
  CheckGroupBox1.CheckedEnables := CheckBox3.Checked;
end;

procedure TForm1.CheckBox4Click(Sender: TObject);
begin
  CheckGroupBox2.CheckedEnables := CheckBox4.Checked;
end;

end.
